CREATE TABLE cso_search_tokens (
    TOKEN_ID                 NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TOKEN                    VARCHAR2(1024)    NOT NULL,
    TOKEN_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    LOCALE_ID                VARCHAR2(128)     NOT NULL,
    DEPARTMENT_ID            VARCHAR2(128) ,
    TOKEN_ID                 NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TOKEN                    VARCHAR2(1024)    NOT NULL,
    TOKEN_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    LOCALE_ID                VARCHAR2(128)     NOT NULL,
    DEPARTMENT_ID            VARCHAR2(128) ,
    CONSTRAINT pk_cso_search_tokens PRIMARY KEY (TOKEN_ID, TOKEN_ID)
);
